{% extends 'base.html.twig' %}

{% block title %}{% endblock %}

{% block body %}

<body class="body-panier">
    


    <aside class="container">
        
        <div class="mangatheque-title">
            <a href="{{ path('app_home') }}" class="btn">MangaDex</a>
        </div>
    
        <nav>
            <ul class="nav-ul">
                <li><i class="far fa-newspaper fa-2x"></i><a href="{{ path('app_home') }}">Nouveautés</a></li>
                <li><i class="fas fa-book fa-2x"></i><a href="{{ path('app_home_collection') }}">Collection</a></li>
                <li><i class="fas fa-search fa-2x"></i><a href="{{ path('app_home_recherche') }}">Recherche</a></li>
                <li id="panier-color"><i class="fas fa-shopping-basket fa-2x"></i><a id="index-color-a-panier" href="{{ path('app_home_panier') }}">Panier</a></li>
            </ul>
        </nav>

        
        
       <div class="account">
            <p><i class="fas fa-user-circle"></i> 
            {% if app.user %}
                <a href="{{ path('app_home_account') }}">Compte</a></p>   
            {% else %}
                <a href="{{ path('app_login') }}">Se Connecter</a></p>      
            {% endif %}                
        </div>
        
    </aside>

    <section>

        <div class="top-div">
            <h1>Mon Panier</h1>
        </div>
        <p class="line"></p>

        <div class="container-flex-panier">
        {% set totalPrice = 0 %}
        {% set totalQuantity = 0 %}
        {% for element in panier %}
            <div class="card-panier">
                <div class="panier-img">
                    <img src="{{ asset('uploads/product/'~ element.product.picture) }}" alt="">

                </div>
                    <div class="panier text">
                        <h2>{{ element.product.name }}</h2>
                        <p>{{ element.product.price }} € • Quantité : {{ element.quantity }}</p>
                        {% set totalPrice = totalPrice + (element.quantity * element.product.price) %}
                        {% set totalQuantity = totalQuantity + element.quantity %}
                    </div>
                    <div class="panier-trash-icon">
                        
                        <a style="color:black;" href="{{path("addProduct", {id: element.product.id})}}"><i class="fas fa-plus-circle"></i></a>                                               
                        <a style="color:black;" href="{{path("remove", {id: element.product.id})}}"><i class="fas fa-minus"></i></a>                                                  
                        <a style="color:black;"href="{{path("delete", {id: element.product.id})}}"><i class="fas fa-trash"></i></a>                                            
                    </div>
                </div>
        {% else %}
            <div class="card-panier">
                <h1>Votre panier est vide</h1>
            </div>
        {% endfor %}
        {% if panier %}
            <div class="panier-payment">             
                <p>Quantité: {{totalQuantity}} Sous-total : {{totalPrice}}</p>
                <a href="{{ path("order") }}" class="btn-panier-payment">Passer la commande</a>             
            </div>
        {% else %}
        {% endif %}
    </section>
           
<section class="mobile-footer">
    <nav>
        <ul class="nav-footer">
            <li><a href=""><i class="far fa-newspaper fa-2x"></i></a></li>
            <li><a href=""><i class="fas fa-book fa-2x"></i></a></li>
            <li><a href=""><i class="fas fa-search fa-2x"></i></a></li>
            <li><a href=""><i class="fas fa-shopping-basket fa-2x"></i></a></li>
            <li><a href=""><i class="fas fa-user-circle"></i></a></li>
        </ul>
    </nav>
        
</section>
{% endblock %}